/* NewGuideGraphCanvasB.java*/
/*
 * header to set up graphs - space dependent plots
 * authors: Umberto Ravaioli
 * version 1.0 - Copyright: Amanogawa.com - All Rights Reserved
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvasB extends GraphCanvas{
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasB(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setLabelAxis(true);
	setYRangeMax(state.Z0g_max);
	setYRangeMin(state.Z0g_min);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Microstrip Characteristic Impedance","Z","Strip width w [mm]","0");
	setRefPoint(state.w);
	plot(state.x_geom,state.G_array);
   }
   
}
